Bug 664148

Summary: wings ships user_default module
Product: [Fedora] Fedora Reporter: Hans Ulrich Niedermann <rhbugs>
Component: wingsAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: lemenkov
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-08 22:55:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Hans Ulrich Niedermann 2010-12-18 18:13:42 UTC
Description of problem:

    wings ships a user_default module in
    /usr/lib/erlang/lib/wings-1.2/ebin/user_default.beam

    This module is loaded by the erl shell on every startup
    and its commands made directly available from the erl shell.

    However, user_default is probably more meant to be something
    for a user to change, not for a software package to install
    for all users.

    And what will happen when the next piece of erlang software
    decides to ship its own user_default.beam file? The load order
    will decide which module will be activated, right?

    I quite like the lm() command from wings' user_default module,
    but shipping this file by default probably is not all that
    great an idea.

Version-Release number of selected component (if applicable):

  wings-1.2-2.fc14.i686

How reproducible:

  100%

Steps to Reproduce:
1. $ erl
2. 1> lm().
  
Actual results:

   []

Expected results:

   ** exception error: undefined shell command lm/0

Additional info:

   We probably should think up a useful packaging policy for
   user_defaults modules.

Comment 1 Fedora Update System 2013-03-22 09:09:21 UTC
wings-1.4.1-5.git9a2473e.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wings-1.4.1-5.git9a2473e.fc17

Comment 2 Fedora Update System 2013-03-22 09:09:49 UTC
wings-1.4.1-5.git9a2473e.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wings-1.4.1-5.git9a2473e.fc18

Comment 3 Fedora Update System 2013-03-22 21:13:11 UTC
Package wings-1.4.1-6.git9a2473e.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wings-1.4.1-6.git9a2473e.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4252/wings-1.4.1-6.git9a2473e.fc18
then log in and leave karma (feedback).

Comment 4 Fedora End Of Life 2013-04-03 20:39:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora Update System 2013-04-08 22:55:24 UTC
wings-1.4.1-6.git9a2473e.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-04-08 22:56:01 UTC
wings-1.4.1-6.git9a2473e.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.